Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class PERSIST_STORE

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.omg.CORBA.SystemException
                              |
                              +--org.omg.CORBA.PERSIST_STORE

All Implemented Interfaces:
  org.apache.avalon.framework.CascadingThrowable, java.io.Serializable

public class PERSIST_STORE
extends SystemException

This exception indicates a persistent storage failure, for example, failure to establish a database connection or corruption of a database.

See Also:
  Serialized Form

Fields inherited from class org.omg.CORBA.SystemException
`completed, minor`

Constructor Summary
`PERSIST_STORE()` Default constructor.
`PERSIST_STORE(int minor, CompletionStatus completed)` Constructor with minor code and completion status.
`PERSIST_STORE(java.lang.String orb_reason)` Constructor with a string reason.
`PERSIST_STORE(java.lang.String orb_reason, int minor, CompletionStatus completed)` Full constructor with fields initialization.

Methods inherited from class org.omg.CORBA.SystemException
`getCause, initCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PERSIST_STORE

    public PERSIST_STORE()

  Default constructor.

### PERSIST_STORE

    public PERSIST_STORE(java.lang.String orb_reason)

  Constructor with a string reason.
  Parameters:
    `orb_reason` - the exception description

### PERSIST_STORE

    public PERSIST_STORE(int minor,
                         CompletionStatus completed)

  Constructor with minor code and completion status.
  Parameters:
    `minor` - exception minor code (refer OMG PSS spec. 99-07-07, Chapter 8 Minor Codes, p 67)
    `completed` - completed exception member

### PERSIST_STORE

    public PERSIST_STORE(java.lang.String orb_reason,
                         int minor,
                         CompletionStatus completed)

  Full constructor with fields initialization.
  Parameters:
    `orb_reason` - exception description
    `minor` - minor code exception (refer OMG PSS spec. 99-07-07, Chapter 8 Minor Codes, p 67)
    `completed` - completed exception member

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD